Subject: bug#22621: 24.5; Wishlist: automatically start second Gnus session as a slave

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2018 18:39:15 +0200

Dave Abrahams <[email-masked]> writes:

> I asked:
>
>   The Gnus manual says you can get trouble by starting two non-slave
>   Gnusae at once: [[info:gnus#Slave%20Gnusae][info:gnus#Slave Gnusae]]
>
>   So, shouldn't `M-x gnus' automatically dispatch to `gnus-slave' in that
>   case?
>
> In <[email-masked]>, Lars replied:
>
>   I haven't used the Gnus slave in decades.  :-)  But I think you're
>   right -- Gnus should start in slave mode if it manages to detect another
>   non-slave Gnus running.  Could you report this with `M-x
>   report-emacs-bug' as a wishlist item?

After thinking this over for 2 years, 8 weeks, 5 days, I think perhaps
this would be too fiddly.  First of all, detecting in a reliable way
that another Gnus is running is difficult.  And it's legitimate to start
a new Gnus, anyway, and people aren't used to the slave invocation.

So I think I'll mark this as a nofix after all.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no